########################################################################
## NOTE:  This specfile is automagically generated from
##        ${RPM_SOURCE_DIR}/WindowMaker.spec.in.  It is recommended
##        to make modifications to that file, not this one.
########################################################################
# (for rpm-2.3.9 and later)
# Predefined Macros:
# PACKAGE_VERSION
# PACKAGE_RELEASE
# 
# User-Defined Macros:
# %define <name> <expansion>
%define Name		WindowMaker
%define Version		0.52.0
%define ReleaseNum	2
%define ExtraVersion	0.1
%define WmFunVersion	0.0.1
%define DocVersion	0.20.2
%define DockLib		docklib-*[0-9]
%define Prefix		/usr
%define ExecPrefix	/usr/X11R6
%define LocaleDir	/usr/share/locale
%define PixmapDir	/usr/share/pixmaps
%define EtcDir		/etc/X11
%define Variant		.rhl5
%define Packager	Thomas Ribbrock <emgaron@gmx.net>
Summary: NeXT-alike window manager
Name: %{Name}
Version: %{Version}
Release: %{ReleaseNum}%{Variant}
Packager: %{Packager}
Copyright: GPL
Group: X11/Window Managers
URL: http://www.windowmaker.org/
Source0: ftp://ftp.windowmaker.org/pub/beta/srcs/%{Name}-%{Version}.tar.gz
Source1: ftp://ftp.windowmaker.org/pub/beta/srcs/%{Name}-extra-%{ExtraVersion}.tar.gz
Source2: ftp://ftp.windowmaker.org/pub/docs/%{Name}-%{DocVersion}-UsersGuide.tar.gz
Source3: ftp://ftp.windowmaker.org/pub/beta/srcs/libwmfun-%{WmFunVersion}.tar.gz
Source4: %{Name}-%{Version}-%{ReleaseNum}.RPMS.README
Source5: WindowMaker.spec.in
#NoSource: 0
Patch0: WindowMaker-0.52.0-clip-captions.patch
Patch1: WindowMaker-0.50.0-no-bsd-source.patch
Patch2: WindowMaker-0.52.0-map-menu.patch
Patch3: WindowMaker-0.52.0-wprefs-newline.patch
Patch4: WindowMaker-0.51.2-redhatification.patch
Patch5: WindowMaker-0.52.0-window-focus.patch
Patch6: WindowMaker-0.52.0-wprefs-bug.patch
#Prefix: %{Prefix}
BuildRoot: /tmp/%{Name}-%{Version}-%{ReleaseNum}%{Variant}-root
Requires: /lib/cpp
Obsoletes: windowmaker
Obsoletes: wmaker

%package debug
Summary: debuggable binary of Window Maker
Group: X11/Window Managers
Requires: %{Name} = %{Version}

%package devel
Summary: Window Maker development libraries
Group: Development/Libraries

%description
Window Maker is a window manager designed to emulate the look and feel
of part of the NEXTSTEP(tm) GUI. It's supposed to be fast, relatively
small, feature rich and easy to configure, with a simple and elegant
appearance borrowed from NEXTSTEP(tm).

This package of Window Maker contains support for:

  - GNOME
  - KDE
  - sound
  - NLS

It does not contain support for:

  - Open Look(tm)
  - Multi-byte characters

This package is intended to be a drop-in replacement for the
Window Maker package that ships with Red Hat Linux, with the following
differences:

  - Window Maker defaults live in /etc/X11/WindowMaker/ instead of
    /usr/share/WindowMaker/Defaults/.
  - WPrefs.app lives in /usr/GNUstep/ instead of
    /usr/X11R6/lib/X11/GNUstep/.

This package also requires the libPropList RPM package, available
separately, to be installed on your system.  The Window Maker package
from Red Hat included libPropList and did not require a separate
package.  If you are upgrading from the Red Hat package, you should
uninstall the Red Hat package first:

    rpm -e WindowMaker

and then install this package and the libPropList package
simultaneously:

    rpm -ivh libPropList-*.rpm WindowMaker-*.rpm

%description debug
Window Maker is a window manager designed to emulate the look and feel
of part of the NEXTSTEP(tm) GUI. It's supposed to be fast, relatively
small, feature rich and easy to configure, with a simple and elegant
appearance borrowed from NEXTSTEP(tm).

This package contains a debuggable binary of Window Maker, as well as
debuggable versions of the various Window Maker development libraries.

%description devel
Window Maker is a window manager designed to emulate the look and feel
of part of the NEXTSTEP(tm) GUI. It's supposed to be fast, relatively
small, feature rich and easy to configure, with a simple and elegant
appearance borrowed from NEXTSTEP(tm).

This package contains libraries for building Window-Maker-enhanced
applications.

%prep
%setup -T -b 0 -a 1 -a 2 -a 3
gzip -dc %{DockLib}.tar.gz | tar -xvf -

cp ${RPM_SOURCE_DIR}/%{Name}-%{Version}-%{ReleaseNum}.RPMS.README .
chmod 0644 ./%{Name}-%{Version}-%{ReleaseNum}.RPMS.README

%patch0 -p0 -b .orig-clipcaptions
%patch1 -p0 -b .orig-nobsdsource
%patch2 -p0 -b .orig-mapmenu
%patch3 -p0 -b .orig-wprefsnewline
%patch4 -p1 -b .orig-redhat
%patch5 -p1 -b .orig-focus
%patch6 -p1 -b .orig-wprefsbug

#function Replace() {
#    local fil="$1"
#    local sep="$2"
#    local old="$3"
#    local new="$4"
#    local suf="$5"
#    [ -z "${suf}" ] && suf='~'
#    mv -f ${fil} ${fil}${suf}
#    cat ${fil}${suf} | sed -e "s${sep}${old}${sep}${new}${sep}g" >$fil
#}

## 1998-Jul-08 jmk
## Need some more documents
for i in \
    WindowMaker-extra \
    libwmfun \
    libWINGs \
    libwraster \
    libdockapp \
; do
    mkdir -p "./docdirs/${i}"
done
for i in \
    ChangeLog \
    INSTALL \
    NEWS \
    README \
; do
    cp -a ./WindowMaker-extra-%{ExtraVersion}/"${i}" \
        ./docdirs/WindowMaker-extra/
done
for i in \
    AUTHORS \
    COPYING \
    ChangeLog \
    INSTALL \
    NEWS \
    README \
    WMFun-demo.style \
; do
    cp -a ./libwmfun-%{WmFunVersion}/"${i}" ./docdirs/libwmfun/
done
for i in \
    ChangeLog \
    README \
    TODO \
; do
    cp -a ./WINGs/"${i}" ./docdirs/libWINGs/
done
for i in \
    AUTHORS \
    COPYING \
    ChangeLog \
    INSTALL \
    NEWS \
    README \
    TODO \
; do
    cp -a ./wrlib/"${i}" ./docdirs/libwraster/
done
for i in \
    README \
    wmtest.c \
; do
    cp -a ./%{DockLib}/"${i}" ./docdirs/libdockapp/
done

%build
### When the Makefile.am files have a modification time in the future,
### we need to bring them into the present.  This should never happen,
### but somehow Alfredo manages....
#find . -name Makefile.am -exec touch \{\} \;
#
### Patching acinclude.m4 requires aclocal to regenerate aclocal.m4
#aclocal
#
### Patching Makefile.am files requires automake to regenerate the
### Makefile.in files.
#automake
#
### Patching configure.in requires autoconf to regenerate the
### configure script.
#autoconf
#touch -r Makefile.am configure.in

## The funny stuff with `eval' and single quotes protect
## macro expansions that contain a space or other weird
## character in a pathname (well, everything except a
## single quote, which no one has any business putting in
## the name of a directory).
ConfigOpts=""
ConfigOpts="${ConfigOpts} --prefix='%{Prefix}'"
ConfigOpts="${ConfigOpts} --exec-prefix='%{ExecPrefix}'"
ConfigOpts="${ConfigOpts} --includedir='%{ExecPrefix}'/include/WindowMaker"
ConfigOpts="${ConfigOpts} --mandir='%{ExecPrefix}'/man"
ConfigOpts="${ConfigOpts} --with-nlsdir='%{LocaleDir}'"
ConfigOpts="${ConfigOpts} --sysconfdir='%{EtcDir}'"
WmConfigOpts=""
WmConfigOpts="${WmConfigOpts} --enable-gnome"
WmConfigOpts="${WmConfigOpts} --enable-kde"
#WmConfigOpts="${WmConfigOpts} --enable-openlook"
#WmConfigOpts="${WmConfigOpts} --enable-lite"
#WmConfigOpts="${WmConfigOpts} --enable-modelock"
#WmConfigOpts="${WmConfigOpts} --enable-kanji"
#WmConfigOpts="${WmConfigOpts} --disable-sound"

SAVED_CFLAGS="${CFLAGS}"
CFLAGS="${SAVED_CFLAGS} -g"
LINGUAS=""
for i in \
    "cs" \
    "de" \
    "dk" \
    "el" \
    "es" \
    "fi" \
    "fr" \
    "gl" \
    "hr" \
    "it" \
    "ja" \
    "ko" \
    "nl" \
    "no" \
    "pl" \
    "pt" \
    "ro" \
    "ru" \
    "se" \
    "tr" \
    "zh_TW.Big5" \
; do
    LINGUAS="${LINGUAS} ${i}"
done
export CFLAGS LINGUAS
eval ./configure ${ConfigOpts} ${WmConfigOpts} \
    --disable-shared --enable-static

cd %{DockLib}
eval ./configure ${ConfigOpts}
make
mv -f libdockapp.a libdockapp-debug.a
mv -f wmtest wmtest-debug
cd ..

make

cd src
mv -f wmaker wmaker-debug
cd ..

cd WPrefs.app
mv -f WPrefs WPrefs-debug
cd ..

cd WINGs
mv -f libWINGs.a libWINGs-debug.a
cd ..

cd wmlib
mv -f libWMaker.a libWMaker-debug.a
cd ..

for i in \
    wrlib \
; do
    cd "${i}"/.libs
    for j in *.a; do
        mv -f "${j}" "../`basename \"${j}\" .a`-debug.a"
    done
    cd ../..
done

if [ -z "${WM_DEBUG_ONLY}" ] || [ ${WM_DEBUG_ONLY} -ne 1 ]; then
    CFLAGS="${SAVED_CFLAGS} ${RPM_OPT_FLAGS}"
    export CFLAGS
    eval ./configure ${ConfigOpts} ${WmConfigOpts} \
        --enable-shared --enable-static
    
    # And now the regular executable
    make clean
    make
    
    cd WindowMaker-extra-%{ExtraVersion}
    eval ./configure ${ConfigOpts} --with-iconsdir='%{PixmapDir}'
    make
    cd ..

    cd libwmfun-%{WmFunVersion}
    BEFORE_WMFUN_CFLAGS="${CFLAGS}"
    CFLAGS="${CFLAGS} -I../../wrlib"
    export CFLAGS
    eval ./configure ${ConfigOpts} --enable-shared --disable-static
    make
    CFLAGS="${BEFORE_WMFUN_CFLAGS}"
    export CFLAGS
    cd ..

    cd %{DockLib}
    make clean
    eval ./configure ${ConfigOpts}
    make
    cd ..

    cd ./UserGuide
    make
    touch guide.tex
    make
    make clean
    cd ..
fi

%install
function CheckBuildRoot() {
    # do a few sanity checks on the BuildRoot
    # to make sure we don't damage a system
    case "${RPM_BUILD_ROOT}" in
        ''|' '|/|/bin|/boot|/dev|/etc|/home|/lib|/mnt|/root|/sbin|/tmp|/usr|/var)
            echo "Yikes!  Don't use '${RPM_BUILD_ROOT}' for a BuildRoot!"
            echo "The BuildRoot gets deleted when this package is rebuilt;"
            echo "something like '/tmp/build-blah' is a better choice."
            return 1
            ;;
        *)  return 0
            ;;
    esac
}
function CleanBuildRoot() {
    if CheckBuildRoot; then
        rm -rf "${RPM_BUILD_ROOT}"
    else
        exit 1
    fi
}
CleanBuildRoot

for i in \
    "%{Prefix}" \
    "%{Prefix}/share" \
    "%{ExecPrefix}" \
    "%{ExecPrefix}/bin" \
    "%{ExecPrefix}/include" \
    "%{ExecPrefix}/include/WindowMaker" \
    "%{ExecPrefix}/lib" \
    "%{ExecPrefix}/man" \
    "%{ExecPrefix}/man/man1" \
    "%{EtcDir}" \
    "%{PixmapDir}" \
; do
    mkdir -p "${RPM_BUILD_ROOT}${i}"
done

cp -f WindowMaker/plmenu WindowMaker/Defaults/WMRootMenu

make DESTDIR="${RPM_BUILD_ROOT}" install-strip

cd WindowMaker-extra-%{ExtraVersion}
make DESTDIR="${RPM_BUILD_ROOT}" install-strip
cd ..

cd libwmfun-%{WmFunVersion}
make DESTDIR="${RPM_BUILD_ROOT}" install-strip
cd ..

cd %{DockLib}
make DESTDIR="${RPM_BUILD_ROOT}" install-strip
install -m 0644 libdockapp-debug.a "${RPM_BUILD_ROOT}%{ExecPrefix}/lib/"
cd ..

cp ./WPrefs.app/README ./README.WPrefs
cp ./util/README       ./README.util

install -m 0755 src/wmaker-debug \
    "${RPM_BUILD_ROOT}%{ExecPrefix}"/bin/
install -m 0755 WPrefs.app/WPrefs-debug \
    "${RPM_BUILD_ROOT}%{ExecPrefix}"/bin/
install -m 0644 WINGs/libWINGs-debug.a \
    "${RPM_BUILD_ROOT}%{ExecPrefix}"/lib/
install -m 0644 wmlib/libWMaker-debug.a \
    "${RPM_BUILD_ROOT}%{ExecPrefix}"/lib/
install -m 0644 wrlib/libwraster-debug.a \
    "${RPM_BUILD_ROOT}%{ExecPrefix}"/lib/

for i in \
    wmfile \
    wmquery \
; do
    install -m 0755 -s WINGs/.libs/"${i}" \
        "${RPM_BUILD_ROOT}%{ExecPrefix}"/bin/
done

%clean
function CheckBuildRoot() {
    # do a few sanity checks on the BuildRoot
    # to make sure we don't damage a system
    case "${RPM_BUILD_ROOT}" in
        ''|' '|/|/bin|/boot|/dev|/etc|/home|/lib|/mnt|/root|/sbin|/tmp|/usr|/var)
            echo "Yikes!  Don't use '${RPM_BUILD_ROOT}' for a BuildRoot!"
            echo "The BuildRoot gets deleted when this package is rebuilt;"
            echo "something like '/tmp/build-blah' is a better choice."
            return 1
            ;;
        *)  return 0
            ;;
    esac
}
function CleanBuildRoot() {
    if CheckBuildRoot; then
        rm -rf "${RPM_BUILD_ROOT}"
    else
        exit 1
    fi
}
CleanBuildRoot

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%attr(-   ,root,root) %doc AUTHORS BUGFORM BUGS COPYING ChangeLog FAQ
%attr(-   ,root,root) %doc FAQ.I18N INSTALL MIRRORS NEWS README README.GNOME
%attr(-   ,root,root) %doc README.KDE README.WPrefs README.util TODO
%attr(-   ,root,root) %doc UserGuide
%attr(-   ,root,root) %doc docdirs/WindowMaker-extra
%attr(-   ,root,root) %doc docdirs/libwmfun
%attr(-   ,root,root) %doc %{Name}-%{Version}-%{ReleaseNum}.RPMS.README
%attr(0755,root,root) %dir %{EtcDir}/WindowMaker
%attr(0644,root,root) %config %{EtcDir}/WindowMaker/*
%attr(-   ,root,root) %{Prefix}/GNUstep/Apps/WPrefs.app
%attr(0755,root,root) %{ExecPrefix}/bin/geticonset
%attr(0755,root,root) %{ExecPrefix}/bin/getstyle
%attr(0755,root,root) %{ExecPrefix}/bin/seticons
%attr(0755,root,root) %{ExecPrefix}/bin/setstyle
%attr(0755,root,root) %{ExecPrefix}/bin/wdwrite
%attr(0755,root,root) %{ExecPrefix}/bin/wkdemenu.pl
%attr(0755,root,root) %{ExecPrefix}/bin/wm-oldmenu2new
%attr(0755,root,root) %{ExecPrefix}/bin/wmaker
%attr(0755,root,root) %{ExecPrefix}/bin/wmaker.inst
%attr(0755,root,root) %{ExecPrefix}/bin/wmfile
%attr(0755,root,root) %{ExecPrefix}/bin/wmquery
%attr(0755,root,root) %{ExecPrefix}/bin/wmsetbg
%attr(0755,root,root) %{ExecPrefix}/bin/wsetfont
%attr(0755,root,root) %{ExecPrefix}/bin/wxcopy
%attr(0755,root,root) %{ExecPrefix}/bin/wxpaste
%attr(0755,root,root) %{ExecPrefix}/lib/libwmfun.so
%attr(0755,root,root) %{ExecPrefix}/lib/libwmfun.so.*.*
%attr(0755,root,root) %{ExecPrefix}/lib/libwraster.so.*.*
%attr(0444,root,root) %{ExecPrefix}/man/man1/geticonset.1x
%attr(0444,root,root) %{ExecPrefix}/man/man1/getstyle.1x
%attr(0444,root,root) %{ExecPrefix}/man/man1/seticons.1x
%attr(0444,root,root) %{ExecPrefix}/man/man1/setstyle.1x
%attr(0444,root,root) %{ExecPrefix}/man/man1/wdwrite.1x
%attr(0444,root,root) %{ExecPrefix}/man/man1/wmaker.1x
%attr(0444,root,root) %{ExecPrefix}/man/man1/wmsetbg.1x
%attr(0444,root,root) %{ExecPrefix}/man/man1/wxcopy.1x
%attr(0444,root,root) %{ExecPrefix}/man/man1/wxpaste.1x
%attr(0755,root,root) %dir %{Prefix}/share/WINGs
%attr(-   ,root,root) %{Prefix}/share/WINGs/*
%attr(0755,root,root) %dir %{Prefix}/share/WindowMaker
%attr(-   ,root,root) %{Prefix}/share/WindowMaker/*
%attr(0444,root,root) %{LocaleDir}/*/LC_MESSAGES/WindowMaker.mo
%attr(0444,root,root) %{LocaleDir}/*/LC_MESSAGES/WPrefs.mo
%attr(0644,root,root) %{PixmapDir}/*

%files debug
%attr(0755,root,root) %{ExecPrefix}/bin/WPrefs-debug
%attr(0755,root,root) %{ExecPrefix}/bin/wmaker-debug
%attr(0644,root,root) %{ExecPrefix}/lib/libWINGs-debug.a
%attr(0644,root,root) %{ExecPrefix}/lib/libWMaker-debug.a
%attr(0644,root,root) %{ExecPrefix}/lib/libdockapp-debug.a
%attr(0644,root,root) %{ExecPrefix}/lib/libwraster-debug.a

%files devel
%attr(-   ,root,root) %doc docdirs/libWINGs
%attr(-   ,root,root) %doc docdirs/libwraster
%attr(-   ,root,root) %doc docdirs/libdockapp
%attr(-   ,root,root) %doc test
%attr(0755,root,root) %{ExecPrefix}/bin/get-wraster-flags
%attr(0755,root,root) %dir %{ExecPrefix}/include/WindowMaker
%attr(0644,root,root) %{ExecPrefix}/include/WindowMaker/WINGs.h
%attr(0644,root,root) %{ExecPrefix}/include/WindowMaker/WINGsP.h
%attr(0644,root,root) %{ExecPrefix}/include/WindowMaker/WMaker.h
%attr(0644,root,root) %{ExecPrefix}/include/WindowMaker/WUtil.h
%attr(0644,root,root) %{ExecPrefix}/include/WindowMaker/dockapp.h
%attr(0644,root,root) %{ExecPrefix}/include/WindowMaker/wraster.h
%attr(0644,root,root) %{ExecPrefix}/lib/libWINGs.a
%attr(0644,root,root) %{ExecPrefix}/lib/libWMaker.a
%attr(0644,root,root) %{ExecPrefix}/lib/libdockapp.a
%attr(0644,root,root) %{ExecPrefix}/lib/libwraster.a
%attr(-   ,root,root) %{ExecPrefix}/lib/libwraster.so

%changelog
* Sun Apr 18 1999 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.52.0-2]
  - Use 'make install-strip' to strip installed binaries.
  - Public RPM release.

* Thu Apr 15 1999 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.52.0-1.1]
  - Now using DESTDIR to install in BuildRoot instead of setting
    individual directories.
  - Split WmConfigOpts off of ConfigOpts; now use ConfigOpts everywhere
    ./configure is used to set the proper directories.

* Wed Apr 14 1999 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.52.0-1]
  - Added libwmfun texture plugin library.
  - Added WPrefs and window focus patches from wm-dev mailing list.

* Sun Apr 11 1999 Thomas Ribbrock <emgaron@gmx.net>
  [WindowMaker-0.52.0-1]
  - New version.
  - merged WindowMaker-extras into the package (default themes and
    extra icons).
  
* Sun Mar 28 1999 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.51.2-3]
  - New version; adds Taiwanese message catalog.
  - Added EtcDir macro.
  - Now includes Alfredo's experimental libdockapp.
  - Patched WPrefs not to write extra newline to autostart script, so
    it doesn't fill up with newlines.
  - Included debuggable WPrefs in debug subpackage.
  - Experimental patch to use heuristics to keep menus inside screen.
  - RedHatification patch from Thomas Ribbrock (who's coming on board
    as an RPM co-maintainer---herzlich willkommen, Thomas!).
  - Includes KDE support.
  - Extended description text to include info about feature support and
    RedHatification.

* Wed Mar 03 1999 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.51.0-2]
  - Many new versions since last i packaged Window Maker.  Here we go
    again.
  - libPropList has since been relegated to a separate package.  This
    has greatly simplified the specfile.

* Mon Oct 26 1998 Jeffrey Watts <watts@jayhawks.net>
  [WindowMaker-0.20.2-1]
  - New version.
  - Added Pascal's SuSE updates to the SPECfile.

* Mon Oct 12 1998 Jeffrey Watts <watts@jayhawks.net>
  [WindowMaker-0.20.1-4]
  - Sound support wasn't being compiled in.  Changed "--with-sound" to
    "--enable-sound" to fix this problem.

* Fri Oct 09 1998 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.20.1-3]
  - Macros for release, version, etc. conflict with automagically
    defined macros in rpm-2.5.x and later.  Particularly, the release
    macro defined at the top of the spec file is not quite consistent
    with the usage of the automagic one.  Changed all the manually
    defined macros to use initial caps, and changed Release to
    ReleaseNum to make it unambiguous.  Thanks to Jeffrey Watts
    <watts@jayhawks.net>.  Package 0.20.1-2 was not released to the
    public.

* Fri Oct 09 1998 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.20.1-2]
  - New version of Window Maker.
  - Integrated Pascal's changes into single meta-specfile for RedHat4,
    RedHat5, SuSE, and TurboLinux.  Need bash and GNU m4 to process
    meta-specfile into a specfile.
  - Starting with release 2 to bypass spurious 1rh51 package on
    ftp.windowmaker.org.
  - Since the sources for WM are available at a well-known location, 
    we're using a `NoSource' tag so that the source RPMs are smaller
    and don't keep wasting bytes and Kbps's.
  - Did a once-through of s/WindowMaker/Window Maker/g.

* Thu Oct 01 1998 Pascal Bleser <pbleser@atos-group.com>
  [WindowMaker-0.20.0-1-S.u.S.E.]
  - modifications for S.u.S.E. Linux
  - symbolic link called "windowmaker" to wmaker for wmlist

* Fri Sep 25 1998 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.20.0-1]
  - New version; includes man pages for utilities, loses convertstyle.
  - Oops ... WPrefs.mo message catalogs weren't being included in
    the WindowMaker package....
  - Added no-bsd-source patch, principally for Red Hat Linux 5.x.
  - Message catalog for ja locale is back.
  - Added random-iconification-style patch.  See the .RPMS.README.
  - Added patch to make Clip captions (workspace name and number) more
    aesthetically pleasing.  See the .RPMS.README.

* Sun Sep 13 1998 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.19.3-1]
  - New version.
  - Cleaned up macros.
  
* Mon Sep 07 1998 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.19.2-1]
  - New version with many bugfixes.
  - Urp.  We weren't building libPropList-debug.a and
    libPropList-nodebug.a---that stuff didn't make it into the spec
    file when the debug subpackage did.  Interestingly, RPM didn't
    fail on the error when they weren't present.
  - Added patch to fix bug in unshaped ballons.
  - Added test for WM_DEBUG_ONLY environment variable so that only the
    debug executable can be built with rpm -bc.  Simply:
    'WM_DEBUG_ONLY=1 rpm -bc WindowMaker.spec'.

* Fri Sep 04 1998 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.19.1-1]
  - New version.  This version adds WPrefs.app, a preferences utility.
    Please read /usr/doc/WindowMaker-0.19.1/README.WPrefs.
  - Window list bug patch integrated into source.
  - No-blinking icon patch integrated into source.
  - This version adds new locale support for the following languages:
    el fi hr tr.
  - Removed ja locale support due to numerous problems in ja.po message
    catalog.
  - Patched configure script from original sources to allow installation
    of .../GNUstep/Apps/ directory using --prefix=...
  - Changed spec file and .RPMS.README for better compatibility
    between libc5 and glibc packages (ought to able to simply rebuild
    after changing 'LibC' macro definition).

* Thu Aug 20 1998 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.18.1b-1.libc5]
  - New version.
  - Added debug subpackage.
  - Added Alfredo's User Guide.
  - Patch to fix bug in window list where iconified/hidden markers
    don't show up on a restart.
  - Included patch to turn off blinking on selected icon border.
  - Moved includes in devel subpackage to /usr/X11R6/include/WindowMaker/.
  - Now requires /lib/cpp.

* Wed Jul 08 1998 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.16.1-1.libc5]
  - New version.
  - Merged util subpackage into base package; most utils are necessary
    for out-of-the-box operation anymore.
  - No longer installing the old WindowMaker-Config docs; too out of date.
    Tried to use Sam Varner's wmaker-info docs, but encountered several
    errors with texi2dvi and texi2html.
  - Added more docs to devel package from libWINGs and libwraster.

* Mon Jun 15 1998 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.15.1-2.libc5]
  - Oops ... need %attr() to set ownership on %doc files.

* Mon Jun 15 1998 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.15.1-1.libc5]
  - New version.
  - Build with LINGUAS defined to all supported languages; include
    locale directories in main WindowMaker package.
  - Patch various Makefile.am files to use proper make variables
    instead of autoconf macros all over the place.
  - Tons of patches from Pete Bentley on WM mailing list.

* Sat Jun 06 1998 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.15.0-1.libc5]
  - New version.
  - Contains fixes for hardcoded path in some datadir stuff and
    for autoarrange bug.
  - Does not modify keymap from ~/.xinitrc.
  - Added README about RPMs.

* Thu Apr 02 1998 Jim Knoble <jmknoble@pobox.com>
  - New version.
  - Changed prefix for executables and lib/include stuff to
    /usr/X11R6/.
  - Use %attr to set permission and ownership of installed files,
    so that WM RPM can be built by non-root user.

* Tue Mar 10 1998 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.14.0-2]
  - Added check for libPropList RPM package, with warning message if
    not found.
  - Updated WM docs to 0.14.0 level.

* Fri Feb 27 1998 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.14.0-1]
  - New version.

* Sun Feb 15 1998 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.13.1-1]
  - New version.
  - Now requires libPropList-devel package (available separately) to
    build from SRPM, since libPropList has been separated from
    WindowMaker source distribution (WindowMaker binary still linked
    statically with libPropList, however).

* Thu Jan 29 1998 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.13.0-1]
  - New version.
  - Got rid of icons subpackage, doc subpackage.  Both were somewhat
    obsolete.  Include Scott Remnant's config documentation instead.

* Tue Dec 16 1997 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.12.3-1]
  - Public consumption.

* Mon Dec 15 1997 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.12.3-1jmk]
  - New version.

* Sun Dec 14 1997 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.12.2-1]
  - First RPM for public consumption.
  
* Fri Dec 12 1997 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.12.2-1jmk]
  - New version.

* Thu Dec 04 1997 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.11.1-1jmk]
  - New version.
  - Added -icons and -doc subpackages.

* Wed Nov 05 1997 Jim Knoble <jmknoble@pobox.com>
  [WindowMaker-0.6.3-1jmk]
  - Initial packaging.

